--- title: "CreatePlannedMaintenance" slug: "management-cloudinsight-createpm" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-createpm" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # CreatePlannedMaintenance Available in Classic and VPC Create a maintenance schedule for a service. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/planned-maintenances | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body For more information on the fields related to the maintenance schedule information, see [PMCreateUpdateDto](/docs/en/common-vapidatatype-cipmcreateupdatedto). ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/planned-maintenances' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "desc": "This is an example of creating a planned maintenance.", "dimensions": { "**********": [ { "instanceNo": "**********", "mnt_nm": "/", "type": "fs" } ] }, "endTime": 1721133000000, "startTime": 1721129400000, "title": "test-pm" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `plannedMaintenanceId` | String | - | Maintenance schedule ID | ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` "**********" ```